Index: /extensions/addThis/admin/AddThis.php
===================================================================
--- /extensions/addThis/admin/AddThis.php	(revision 3411)
+++ /extensions/addThis/admin/AddThis.php	(revision 3411)
@@ -0,0 +1,111 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier AddThis_config.php  *********/
+ 
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $template, $page, $user;
+
+load_language('plugin.lang', ADDTHIS_PATH);
+
+$me = get_plugin_data($plugin_id);
+
+
+$template->append('head_elements',
+		   '<script type="text/javascript" src="./plugins/AddThis/farbtastic/farbtastic.js"></script>
+<link href="./plugins/AddThis/js/addthis.css" rel="stylesheet" type="text/css" />
+<link href="./plugins/AddThis/farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />');
+$template->set_filenames( array('plugin_admin_content' => ADDTHIS_ROOT.'/admin/AddThis.tpl') );
+
+include ADDTHIS_INC_PATH.'constants.inc.php';
+
+if (isset($_POST['submit'])) 
+{ 
+
+	$me->my_config['HomeButton']	= $_POST['HomeButton'];
+	$me->my_config['CategoryButton']= $_POST['CategoryButton'];
+	$me->my_config['ImageButton']	= $_POST['ImageButton'];
+	$me->my_config['addthis_icon_nb']	= $_POST['addthis_icon_nb'];
+	$me->my_config['addthis_icon_text']	= $_POST['addthis_icon_text'];
+	$me->my_config['addthis_brand']	= $_POST['addthis_brand'];
+	$me->my_config['addthis_pub']	= $_POST['addthis_pub'];
+	$me->my_config['addthis_language'] = $_POST['addthis_language'];
+	$me->my_config['addthis_languser'] = isset($_POST['addthis_languser']);
+	
+	$me->my_config['addthis_header_background']	= $_POST['addthis_header_background'];
+	$me->my_config['addthis_header_color']	= $_POST['addthis_header_color'];
+	$me->my_config['addthis_offset_top']	= $_POST['addthis_offset_top'];
+	$me->my_config['addthis_offset_left']	= $_POST['addthis_offset_left'];
+	$me->my_config['addthis_hover_delay']	= $_POST['addthis_hover_delay'];	
+
+	$nb_check = 0;
+	foreach ($me->my_config['addthis_options'] as $key => $value) 
+	{	
+		$me->my_config['addthis_options'][$key] = isset($_POST[$key]);
+		if (isset($_POST[$key]))
+			$nb_check++;
+	}
+		if (	($me->my_config['HomeButton'] == 8 || $me->my_config['CategoryButton'] == 8 || $me->my_config['ImageButton'] == 8)
+			&&   $nb_check > $me->my_config['addthis_icon_nb'])
+			  array_push($page['errors'], l10n('addthis_admin_icon_nb'));
+
+    
+
+
+  $me->save_config();
+  array_push($page['infos'], l10n('addthis_admin_saveOK'));
+	
+}
+
+
+if (isset($_POST['restore'])) 
+{ 
+	$me->restore_default_config();
+	$me->save_config();
+	array_push($page['infos'], l10n('addthis_admin_defautvalueOK'));
+}
+
+
+foreach ($me->my_config['addthis_options'] as $key => $value) 
+{
+	$template->assign(array(
+	$key => ($value ? 'checked="checked"' : '' )
+	));
+}
+
+	
+// Affichage des choix normal possibles pour Piclens
+for  ($i=0; $i<count($language_list[0]); $i++ ) //on parcours le tableau 
+{
+	$template->append('Language_list',array('ID' => $language_list[0][$i],'NAME' => $language_list[1][$i],'SELECTED' => ($me->my_config['addthis_language'] == $language_list[0][$i] ? 'selected' : '')));
+}
+
+	
+$template->assign(array(
+	'Homebutton'.$me->my_config['HomeButton'].'_checked'			=> 'checked="checked"',
+	'Categorybutton'.$me->my_config['CategoryButton'].'_checked'	=> 'checked="checked"',
+	'Imagebutton'.$me->my_config['ImageButton'].'_checked'			=> 'checked="checked"',
+	'ADDTHIS_ICON_NB'	=> $me->my_config['addthis_icon_nb'],
+	'ADDTHIS_ICON_TEXT'	=> $me->my_config['addthis_icon_text'],
+	'ADDTHIS_BRAND'		=> $me->my_config['addthis_brand'],
+	'ADDTHIS_PUB'		=> $me->my_config['addthis_pub'],
+	'ADDTHIS_LANG_USER'	=> ($me->my_config['addthis_languser'] ? 'checked="checked"' : ''),
+	'ADDTHIS_HEADER_BACKGROUND' => $me->my_config['addthis_header_background'],
+	'ADDTHIS_HEADER_COLOR'		=> $me->my_config['addthis_header_color'],
+	'ADDTHIS_OFFSET_TOP'		=> $me->my_config['addthis_offset_top'],
+	'ADDTHIS_OFFSET_LEFT'		=> $me->my_config['addthis_offset_left'],
+	'ADDTHIS_HOVER_DELAY'		=> $me->my_config['addthis_hover_delay']
+	));
+
+
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
+
+
+
+?>
Index: /extensions/addThis/admin/AddThis.tpl
===================================================================
--- /extensions/addThis/admin/AddThis.tpl	(revision 3411)
+++ /extensions/addThis/admin/AddThis.tpl	(revision 3411)
@@ -0,0 +1,259 @@
+
+{literal}
+{/literal}
+
+<div class="titrePage">
+  <h2>AddThis</h2>
+</div>
+<p>
+{'adthis_admin_title'|@translate}
+</p>
+<form method="post" action="" class="general">
+<fieldset>
+	<legend>{'addthis_bannercfg_title'|@translate}</legend>
+
+		<table>
+			<tr>
+				<td class="vtop"><label>{'addthis_bannerselect_label'|@translate}</label></td>
+				<td>
+                    <div id="bmdiv">
+					<table align="center" cellpadding="5" style="margin-left:4px">
+						<tr>
+							<td>&nbsp;</td>
+							<td>{'addthis_Home_label'|@translate}</label></td>
+							<td>{'addthis_Cat_label'|@translate}</td>
+							<td>{'addthis_Img_label'|@translate}</td>
+						</tr>
+						<tr>
+							<td align="right"><label>{'addthis_Disable_label'|@translate}</label></td>
+							<td><input name="HomeButton" type="radio" value="0" {$Homebutton0_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="0" {$Categorybutton0_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="0" {$Imagebutton0_checked} /></td>
+
+						</tr>
+						<tr>
+							<td align="right"><label for="bm3"><img id="bm3i" src="http://s7.addthis.com/static/btn/lg-share-en.gif" width="125" height="16" border="0" alt="Share" /></label></td>
+							<td><input name="HomeButton" type="radio" value="1" {$Homebutton1_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="1" {$Categorybutton1_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="1" {$Imagebutton1_checked} /></td>
+
+						</tr>
+						<tr>
+							<td align="right"><label for="bm6"><img id="bm6i" src="http://s7.addthis.com/static/btn/sm-share-en.gif" width="83" height="16" border="0" alt="Share" /></label></td>
+							<td><input name="HomeButton" type="radio" value="2" {$Homebutton2_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="2" {$Categorybutton2_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="2" {$Imagebutton2_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right"><label for="bm1"><img id="bm1i" src="http://s7.addthis.com/static/btn/lg-bookmark-en.gif" width="125" height="16" border="0" alt="Bookmark" /></label></td>
+							<td><input name="HomeButton" type="radio" value="3" {$Homebutton3_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="3" {$Categorybutton3_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="3" {$Imagebutton3_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right"><label for="bm0""><img id="bm0i" src="http://s7.addthis.com/static/btn/sm-bookmark-en.gif" width="83" height="16" border="0" alt="Bookmark" /></label></td>
+							<td><input name="HomeButton" type="radio" value="4" {$Homebutton4_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="4" {$Categorybutton4_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="4" {$Imagebutton4_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right"><label for="bm4"><img id="bm4i" src="http://s7.addthis.com/static/btn/lg-addthis-en.gif" width="125" height="16" border="0" alt="Add This" /></label></td>
+							<td><input name="HomeButton" type="radio" value="5" {$Homebutton5_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="5" {$Categorybutton5_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="5" {$Imagebutton5_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right"><label for="bm5"><img id="bm5i" src="http://s7.addthis.com/static/btn/sm-plus.gif" width="16" height="16" border="0" alt="AddThis" /></label></td>
+							<td><input name="HomeButton" type="radio" value="6" {$Homebutton6_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="6" {$Categorybutton6_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="6" {$Imagebutton6_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right">{'addthis_freetext_label'|@translate} <input type="text" size="15" maxlength="15" name="addthis_icon_text" value="{$ADDTHIS_ICON_TEXT}" />)</td>
+							<td><input name="HomeButton" type="radio" value="7" {$Homebutton7_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="7" {$Categorybutton7_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="7" {$Imagebutton7_checked} /></td>
+						</tr>
+						<tr>
+							<td align="right">{'addthis_icnonb_label'|@translate} <input type="text" size="1" maxlength="1" name="addthis_icon_nb" value="{$ADDTHIS_ICON_NB}" />)</td>
+							<td><input name="HomeButton" type="radio" value="8" {$Homebutton8_checked} /></td>
+							<td><input name="CategoryButton" type="radio" value="8" {$Categorybutton8_checked} /></td>
+							<td><input name="ImageButton" type="radio" value="8" {$Imagebutton8_checked} /></td>
+						</tr>
+
+					</table>
+                    </div>
+
+				</td>
+			</tr>
+            
+                        
+		</table>
+</fieldset>
+<fieldset>
+	<legend>{'addthis_paramcfg_title'|@translate}</legend>
+		<div id="colorpicker"></div>	
+		<table>
+			<tr>
+				<td colspan="3" align="left"><label>{'addthis_optionselect_label'|@translate}</label>
+				</td>
+			</tr>
+			<tr>
+				<td>{'addthis_pub_label'|@translate}</td>
+		        <td colspan="2"><input type="text" name="addthis_pub" value="{$ADDTHIS_PUB}" /></td>
+			</tr>
+			<tr>
+				<td>{'addthis_brand_label'|@translate}</td>
+		        <td colspan="2"><input type="text" size="50" name="addthis_brand" value="{$ADDTHIS_BRAND}" /></td>
+			</tr>
+			<tr>
+				<td>
+					<input type="checkbox" name="addthis_languser" {$ADDTHIS_LANG_USER}/>&nbsp;{'addthis_languser_label'|@translate}</td>
+				<td align="left">{'addthis_language_label'|@translate}</td>
+				<td>
+					<select id="Language_list" name="addthis_language">
+					{foreach from=$Language_list item=Language_list}
+						<option value="{$Language_list.ID}" {$Language_list.SELECTED}>{$Language_list.NAME}</option>
+					{/foreach}
+				    </select>
+
+				</td>
+			</tr>
+
+	        <tr>
+				<td>{'addthis_headerbackground_label'|@translate}</td>
+	            <td colspan="2"><input type="text" size="7" maxlength="7" name="addthis_header_background" class="colorwell" value="{$ADDTHIS_HEADER_BACKGROUND}" /></td>
+	        </tr>
+	        <tr>
+				<td>{'addthis_headercolor_label'|@translate}</td>			
+	            <td colspan="2"><input type="text" size="7" maxlength="7" name="addthis_header_color" class="colorwell" value="{$ADDTHIS_HEADER_COLOR}" /></td>
+			</tr>
+
+	        <tr >
+				<td>&nbsp;</td>
+				<td>{'addthis_top_label'|@translate}</td>			
+				<td>{'addthis_left_label'|@translate}</td>			
+			</tr>
+	        <tr >
+				<td>{'addthis_offset_label'|@translate}</td>			
+	            <td><input type="text" size="2" maxlength="2" name="addthis_offset_top" value="{$ADDTHIS_OFFSET_TOP}" />&nbsp;px</td>
+	            <td><input type="text" size="2" maxlength="2" name="addthis_offset_left" value="{$ADDTHIS_OFFSET_LEFT}" />&nbsp;px</td>
+			</tr>
+	        <tr>
+				<td>{'addthis_hover_delay_label'|@translate}</td>			
+	            <td colspan="2"><input type="text"  size="3" maxlength="3" name="addthis_hover_delay" value="{$ADDTHIS_HOVER_DELAY}" /></td>
+			</tr>			
+		</table>
+	
+	
+</fieldset>
+<fieldset>
+	<legend>{'addthis_iconcfg_title'|@translate}</legend>
+
+<div style="height:3px"></div>
+<table width="600" border="0" align="center" cellpadding="3" cellspacing="0">
+	<tr>
+	<td width="10"><input type="checkbox" name="aim" {$aim}/></td><td class="c1"><span class="at15t at15t_aim">&nbsp;AIM</span></a></td>
+	<td width="10"><input type="checkbox" name="google" {$google}/></td><td class="c1"><span class="at15t at15t_google">&nbsp;Google Bookmarks</span></a></td>
+	<td width="10"><input type="checkbox" name="propeller" {$propeller}/></td><td class="c1"><span class="at15t at15t_propeller">&nbsp;Propeller</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="ask" {$ask}/></td><td class="c1"><span class="at15t at15t_ask">&nbsp;Ask</span></a></td>
+	<td width="10"><input type="checkbox" name="kaboodle" {$kaboodle}/></td><td class="c1"><span class="at15t at15t_kaboodle">&nbsp;Kaboodle</span></a></td>
+	<td width="10"><input type="checkbox" name="reddit" {$reddit}/></td><td class="c1"><span class="at15t at15t_reddit">&nbsp;Reddit</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="backflip" {$backflip}/></td><td class="c1"><span class="at15t at15t_backflip">&nbsp;Backflip</span></a></td>
+	<td width="10"><input type="checkbox" name="kirtsy" {$kirtsy}/></td><td class="c1"><span class="at15t at15t_kirtsy">&nbsp;kIRTSY</span></a></td>
+	<td width="10"><input type="checkbox" name="segnalo" {$segnalo}/></td><td class="c1"><span class="at15t at15t_segnalo">&nbsp;Segnalo</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="ballhype" {$ballhype}/></td><td class="c1"><span class="at15t at15t_ballhype">&nbsp;BallHype</span></a></td>
+	<td width="10"><input type="checkbox" name="linkagogo" {$linkagogo}/></td><td class="c1"><span class="at15t at15t_linkagogo">&nbsp;Link-a-Gogo</span></a></td>
+	<td width="10"><input type="checkbox" name="simpy" {$simpy}/></td><td class="c1"><span class="at15t at15t_simpy">&nbsp;Simpy</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="bebo" {$bebo}/></td><td class="c1"><span class="at15t at15t_bebo">&nbsp;Bebo</span></a></td>
+	<td width="10"><input type="checkbox" name="linkedin" {$linkedin}/></td><td class="c1"><span class="at15t at15t_linkedin">&nbsp;LinkedIn</span></a></td>
+	<td width="10"><input type="checkbox" name="slashdot" {$slashdot}/></td><td class="c1"><span class="at15t at15t_slashdot">&nbsp;Slashdot</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="blogmarks" {$blogmarks}/></td><td class="c1"><span class="at15t at15t_blogmarks">&nbsp;Blogmarks</span></a></td>
+	<td width="10"><input type="checkbox" name="live" {$live}/></td><td class="c1"><span class="at15t at15t_live">&nbsp;Live</span></a></td>
+	<td width="10"><input type="checkbox" name="spurl" {$spurl}/></td><td class="c1"><span class="at15t at15t_spurl">&nbsp;Spurl</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="delicious" {$delicious}/></td><td class="c1"><span class="at15t at15t_delicious">&nbsp;Delicious</span></a></td>
+	<td width="10"><input type="checkbox" name="misterwong" {$misterwong}/></td><td class="c1"><span class="at15t at15t_misterwong">&nbsp;Mister Wong</span></a></td>
+	<td width="10"><input type="checkbox" name="stumbleupon" {$stumbleupon}/></td><td class="c1"><span class="at15t at15t_stumbleupon">&nbsp;StumbleUpon</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="digg" {$digg}/></td><td class="c1"><span class="at15t at15t_digg">&nbsp;Digg</span></a></td>
+	<td width="10"><input type="checkbox" name="mixx" {$mixx}/></td><td class="c1"><span class="at15t at15t_mixx">&nbsp;Mixx</span></a></td>
+	<td width="10"><input type="checkbox" name="tailrank" {$tailrank}/></td><td class="c1"><span class="at15t at15t_tailrank">&nbsp;Tailrank</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="diigo" {$diigo}/></td><td class="c1"><span class="at15t at15t_diigo">&nbsp;Diigo</span></a></td>
+	<td width="10"><input type="checkbox" name="multiply" {$multiply}/></td><td class="c1"><span class="at15t at15t_multiply">&nbsp;Multiply</span></a></td>
+	<td width="10"><input type="checkbox" name="technorati" {$technorati}/></td><td class="c1"><span class="at15t at15t_technorati">&nbsp;Technorati</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="facebook" {$facebook}/></td><td class="c1"><span class="at15t at15t_facebook">&nbsp;Facebook</span></a></td>
+	<td width="10"><input type="checkbox" name="myaol" {$myaol}/></td><td class="c1"><span class="at15t at15t_myaol">&nbsp;myAOL</span></a></td>
+	<td width="10"><input type="checkbox" name="twitter" {$twitter}/></td><td class="c1"><span class="at15t at15t_twitter">&nbsp;Twitter</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="fark" {$fark}/></td><td class="c1"><span class="at15t at15t_fark">&nbsp;Fark</span></a></td>
+	<td width="10"><input type="checkbox" name="myspace" {$myspace}/></td><td class="c1"><span class="at15t at15t_myspace">&nbsp;MySpace</span></a></td>
+	<td width="10"><input type="checkbox" name="yahoobkm" {$yahoobkm}/></td><td class="c1"><span class="at15t at15t_yahoobkm">&nbsp;Yahoo Bookmarks</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="faves" {$faves}/></td><td class="c1"><span class="at15t at15t_faves">&nbsp;Faves</span></a></td>
+	<td width="10"><input type="checkbox" name="netvibes" {$netvibes}/></td><td class="c1"><span class="at15t at15t_netvibes">&nbsp;Netvibes</span></a></td>
+	<td width="10"><input type="checkbox" name="buzz" {$buzz}/></td><td class="c1"><span class="at15t at15t_buzz">&nbsp;Yahoo Buzz</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="favorites" {$favorites}/></td><td class="c1"><span class="at15t at15t_favorites">&nbsp;Favorites</span></a></td>
+	<td width="10"><input type="checkbox" name="netvouz" {$netvouz}/></td><td class="c1"><span class="at15t at15t_netvouz">&nbsp;Netvouz</span></a></td>
+	<td width="10"><input type="checkbox" name="yardbarker" {$yardbarker}/></td><td class="c1"><span class="at15t at15t_yardbarker">&nbsp;Yardbarker</span></a></td>
+	</tr>
+	<tr>
+	<td width="10"><input type="checkbox" name="friendfeed" {$friendfeed}/></td><td class="c1"><span class="at15t at15t_friend">&nbsp;FriendFeed</span></a></td>
+	<td width="10"><input type="checkbox" name="newsvine" {$newsvine}/></td><td class="c1"><span class="at15t at15t_newsvine">&nbsp;Newsvine</span></a></td>
+	<td width="10"><input type="checkbox" name="thisnext" {$thisnext}/></td><td class="c1"><span class="at15t at15t_thisnext">&nbsp;Thisnext</span></a></td>
+	</tr>
+
+	<tr>
+	<td width="10"><input type="checkbox" name="email" {$email}/></td><td class="c1"><span class="at15t at15t_email">&nbsp;Email</span></a></td>
+	<td width="10"><input type="checkbox" name="feedmelinks" {$feedmelinks}/></td><td class="c1"><span class="at15t at15t_feedmelinks">&nbsp;Feedmelinks</span></a></td>
+	<td width="10"><input type="checkbox" name="print" {$print}/></td><td class="c1"><span class="at15t at15t_print">&nbsp;Print</span></a></td>
+	</tr>
+
+	<tr>
+	<td width="10"><input type="checkbox" name="stylehive" {$stylehive}/></td><td class="c1"><span class="at15t at15t_stylehive">&nbsp;Stylehive</span></a></td>
+	<td width="10"><input type="checkbox" name="more" {$more}/></td><td class="c1"><span class="at15t at15t_more">&nbsp;More...</span></a></td>
+	<td width="10"></td>&nbsp;</span></td>
+	</tr>
+	
+</table>
+                  		  
+
+</fieldset>
+ 
+<p><input type="submit" name="submit" value="{'addthis_admin_submit'|@translate}" />
+<input type="submit" name="restore" value="{'addthis_admin_submit_default_parameters'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');"></p>
+
+<script type="text/javascript" charset="utf-8">
+ $(document).ready(function() {ldelim}
+     var f = $.farbtastic('#colorpicker');
+     var selected;
+     $('.colorwell')
+       .each(function () {ldelim} f.linkTo(this);  })
+       .focus(function() {ldelim}
+       	f.linkTo(this);
+
+       });
+  });
+</script>
+
+</form>
Index: /extensions/addThis/admin/AddThis_admin.php
===================================================================
--- /extensions/addThis/admin/AddThis_admin.php	(revision 3411)
+++ /extensions/addThis/admin/AddThis_admin.php	(revision 3411)
@@ -0,0 +1,37 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293?eid=293
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier piclens-admin.php  *********/
+ 
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+//load_language('plugin.lang', PICLENS_PATH);
+
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+
+
+global $template;
+
+// Gestion des onglets
+if (!isset($_GET['tab']))
+    $page['tab'] = 'AddThis';
+else
+    $page['tab'] = $_GET['tab'];
+    
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
+    
+$tabsheet = new tabsheet();
+$tabsheet->add('AddThis',
+				l10n('AddThis'),
+               $my_base_url.'&amp;tab=addthis');
+$tabsheet->assign();
+
+include_once (ADDTHIS_ADMIN_PATH.$page['tab'] . '.php');
+
+?>
Index: /extensions/addThis/admin/index.php
===================================================================
--- /extensions/addThis/admin/index.php	(revision 3411)
+++ /extensions/addThis/admin/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/farbtastic/LICENSE.txt
===================================================================
--- /extensions/addThis/farbtastic/LICENSE.txt	(revision 3411)
+++ /extensions/addThis/farbtastic/LICENSE.txt	(revision 3411)
@@ -0,0 +1,341 @@
+
+        GNU GENERAL PUBLIC LICENSE
+           Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+ 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+          Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Lesser General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+        GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+          NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+         END OF TERMS AND CONDITIONS
+
+      How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Lesser General
+Public License instead of this License.
Index: /extensions/addThis/farbtastic/farbtastic.css
===================================================================
--- /extensions/addThis/farbtastic/farbtastic.css	(revision 3411)
+++ /extensions/addThis/farbtastic/farbtastic.css	(revision 3411)
@@ -0,0 +1,33 @@
+.farbtastic {
+  position: relative;
+}
+.farbtastic * {
+  position: absolute;
+  cursor: crosshair;
+}
+.farbtastic, .farbtastic .wheel {
+  width: 195px;
+  height: 195px;
+}
+.farbtastic .color, .farbtastic .overlay {
+  top: 47px;
+  left: 47px;
+  width: 101px;
+  height: 101px;
+}
+.farbtastic .wheel {
+  background: url(wheel.png) no-repeat;
+  width: 195px;
+  height: 195px;
+}
+.farbtastic .overlay {
+  background: url(mask.png) no-repeat;
+}
+.farbtastic .marker {
+  width: 17px;
+  height: 17px;
+  margin: -8px 0 0 -8px;
+  overflow: hidden; 
+  background: url(marker.png) no-repeat;
+}
+
Index: /extensions/addThis/farbtastic/farbtastic.js
===================================================================
--- /extensions/addThis/farbtastic/farbtastic.js	(revision 3411)
+++ /extensions/addThis/farbtastic/farbtastic.js	(revision 3411)
@@ -0,0 +1,329 @@
+// $Id: farbtastic.js,v 1.2 2007/01/08 22:53:01 unconed Exp $
+// Farbtastic 1.2
+
+jQuery.fn.farbtastic = function (callback) {
+  $.farbtastic(this, callback);
+  return this;
+};
+
+jQuery.farbtastic = function (container, callback) {
+  var container = $(container).get(0);
+  return container.farbtastic || (container.farbtastic = new jQuery._farbtastic(container, callback));
+}
+
+jQuery._farbtastic = function (container, callback) {
+  // Store farbtastic object
+  var fb = this;
+
+  // Insert markup
+  $(container).html('<div class="farbtastic"><div class="color"></div><div class="wheel"></div><div class="overlay"></div><div class="h-marker marker"></div><div class="sl-marker marker"></div></div>');
+  var e = $('.farbtastic', container);
+  fb.wheel = $('.wheel', container).get(0);
+  // Dimensions
+  fb.radius = 84;
+  fb.square = 100;
+  fb.width = 194;
+
+  // Fix background PNGs in IE6
+  if (navigator.appVersion.match(/MSIE [0-6]\./)) {
+    $('*', e).each(function () {
+      if (this.currentStyle.backgroundImage != 'none') {
+        var image = this.currentStyle.backgroundImage;
+        image = this.currentStyle.backgroundImage.substring(5, image.length - 2);
+        $(this).css({
+          'backgroundImage': 'none',
+          'filter': "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=crop, src='" + image + "')"
+        });
+      }
+    });
+  }
+
+  /**
+   * Link to the given element(s) or callback.
+   */
+  fb.linkTo = function (callback) {
+    // Unbind previous nodes
+    if (typeof fb.callback == 'object') {
+      $(fb.callback).unbind('keyup', fb.updateValue);
+    }
+
+    // Reset color
+    fb.color = null;
+
+    // Bind callback or elements
+    if (typeof callback == 'function') {
+      fb.callback = callback;
+    }
+    else if (typeof callback == 'object' || typeof callback == 'string') {
+      fb.callback = $(callback);
+      fb.callback.bind('keyup', fb.updateValue);
+      if (fb.callback.get(0).value) {
+        fb.setColor(fb.callback.get(0).value);
+      }
+    }
+    return this;
+  }
+  fb.updateValue = function (event) {
+    if (this.value && this.value != fb.color) {
+      fb.setColor(this.value);
+    }
+  }
+
+  /**
+   * Change color with HTML syntax #123456
+   */
+  fb.setColor = function (color) {
+    var unpack = fb.unpack(color);
+    if (fb.color != color && unpack) {
+      fb.color = color;
+      fb.rgb = unpack;
+      fb.hsl = fb.RGBToHSL(fb.rgb);
+      fb.updateDisplay();
+    }
+    return this;
+  }
+
+  /**
+   * Change color with HSL triplet [0..1, 0..1, 0..1]
+   */
+  fb.setHSL = function (hsl) {
+    fb.hsl = hsl;
+    fb.rgb = fb.HSLToRGB(hsl);
+    fb.color = fb.pack(fb.rgb);
+    fb.updateDisplay();
+    return this;
+  }
+
+  /////////////////////////////////////////////////////
+
+  /**
+   * Retrieve the coordinates of the given event relative to the center
+   * of the widget.
+   */
+  fb.widgetCoords = function (event) {
+    var x, y;
+    var el = event.target || event.srcElement;
+    var reference = fb.wheel;
+
+    if (typeof event.offsetX != 'undefined') {
+      // Use offset coordinates and find common offsetParent
+      var pos = { x: event.offsetX, y: event.offsetY };
+
+      // Send the coordinates upwards through the offsetParent chain.
+      var e = el;
+      while (e) {
+        e.mouseX = pos.x;
+        e.mouseY = pos.y;
+        pos.x += e.offsetLeft;
+        pos.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Look for the coordinates starting from the wheel widget.
+      var e = reference;
+      var offset = { x: 0, y: 0 }
+      while (e) {
+        if (typeof e.mouseX != 'undefined') {
+          x = e.mouseX - offset.x;
+          y = e.mouseY - offset.y;
+          break;
+        }
+        offset.x += e.offsetLeft;
+        offset.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Reset stored coordinates
+      e = el;
+      while (e) {
+        e.mouseX = undefined;
+        e.mouseY = undefined;
+        e = e.offsetParent;
+      }
+    }
+    else {
+      // Use absolute coordinates
+      var pos = fb.absolutePosition(reference);
+      x = (event.pageX || 0*(event.clientX + $('html').get(0).scrollLeft)) - pos.x;
+      y = (event.pageY || 0*(event.clientY + $('html').get(0).scrollTop)) - pos.y;
+    }
+    // Subtract distance to middle
+    return { x: x - fb.width / 2, y: y - fb.width / 2 };
+  }
+
+  /**
+   * Mousedown handler
+   */
+  fb.mousedown = function (event) {
+    // Capture mouse
+    if (!document.dragging) {
+      $(document).bind('mousemove', fb.mousemove).bind('mouseup', fb.mouseup);
+      document.dragging = true;
+    }
+
+    // Check which area is being dragged
+    var pos = fb.widgetCoords(event);
+    fb.circleDrag = Math.max(Math.abs(pos.x), Math.abs(pos.y)) * 2 > fb.square;
+
+    // Process
+    fb.mousemove(event);
+    return false;
+  }
+
+  /**
+   * Mousemove handler
+   */
+  fb.mousemove = function (event) {
+    // Get coordinates relative to color picker center
+    var pos = fb.widgetCoords(event);
+
+    // Set new HSL parameters
+    if (fb.circleDrag) {
+      var hue = Math.atan2(pos.x, -pos.y) / 6.28;
+      if (hue < 0) hue += 1;
+      fb.setHSL([hue, fb.hsl[1], fb.hsl[2]]);
+    }
+    else {
+      var sat = Math.max(0, Math.min(1, -(pos.x / fb.square) + .5));
+      var lum = Math.max(0, Math.min(1, -(pos.y / fb.square) + .5));
+      fb.setHSL([fb.hsl[0], sat, lum]);
+    }
+    return false;
+  }
+
+  /**
+   * Mouseup handler
+   */
+  fb.mouseup = function () {
+    // Uncapture mouse
+    $(document).unbind('mousemove', fb.mousemove);
+    $(document).unbind('mouseup', fb.mouseup);
+    document.dragging = false;
+  }
+
+  /**
+   * Update the markers and styles
+   */
+  fb.updateDisplay = function () {
+    // Markers
+    var angle = fb.hsl[0] * 6.28;
+    $('.h-marker', e).css({
+      left: Math.round(Math.sin(angle) * fb.radius + fb.width / 2) + 'px',
+      top: Math.round(-Math.cos(angle) * fb.radius + fb.width / 2) + 'px'
+    });
+
+    $('.sl-marker', e).css({
+      left: Math.round(fb.square * (.5 - fb.hsl[1]) + fb.width / 2) + 'px',
+      top: Math.round(fb.square * (.5 - fb.hsl[2]) + fb.width / 2) + 'px'
+    });
+
+    // Saturation/Luminance gradient
+    $('.color', e).css('backgroundColor', fb.pack(fb.HSLToRGB([fb.hsl[0], 1, 0.5])));
+
+    // Linked elements or callback
+    if (typeof fb.callback == 'object') {
+      // Set background/foreground color
+      $(fb.callback).css({
+        backgroundColor: fb.color,
+        color: fb.hsl[2] > 0.5 ? '#000' : '#fff'
+      });
+
+      // Change linked value
+      $(fb.callback).each(function() {
+        if (this.value && this.value != fb.color) {
+          this.value = fb.color;
+        }
+      });
+    }
+    else if (typeof fb.callback == 'function') {
+      fb.callback.call(fb, fb.color);
+    }
+  }
+
+  /**
+   * Get absolute position of element
+   */
+  fb.absolutePosition = function (el) {
+    var r = { x: el.offsetLeft, y: el.offsetTop };
+    // Resolve relative to offsetParent
+    if (el.offsetParent) {
+      var tmp = fb.absolutePosition(el.offsetParent);
+      r.x += tmp.x;
+      r.y += tmp.y;
+    }
+    return r;
+  };
+
+  /* Various color utility functions */
+  fb.pack = function (rgb) {
+    var r = Math.round(rgb[0] * 255);
+    var g = Math.round(rgb[1] * 255);
+    var b = Math.round(rgb[2] * 255);
+    return '#' + (r < 16 ? '0' : '') + r.toString(16) +
+           (g < 16 ? '0' : '') + g.toString(16) +
+           (b < 16 ? '0' : '') + b.toString(16);
+  }
+
+  fb.unpack = function (color) {
+    if (color.length == 7) {
+      return [parseInt('0x' + color.substring(1, 3)) / 255,
+        parseInt('0x' + color.substring(3, 5)) / 255,
+        parseInt('0x' + color.substring(5, 7)) / 255];
+    }
+    else if (color.length == 4) {
+      return [parseInt('0x' + color.substring(1, 2)) / 15,
+        parseInt('0x' + color.substring(2, 3)) / 15,
+        parseInt('0x' + color.substring(3, 4)) / 15];
+    }
+  }
+
+  fb.HSLToRGB = function (hsl) {
+    var m1, m2, r, g, b;
+    var h = hsl[0], s = hsl[1], l = hsl[2];
+    m2 = (l <= 0.5) ? l * (s + 1) : l + s - l*s;
+    m1 = l * 2 - m2;
+    return [this.hueToRGB(m1, m2, h+0.33333),
+        this.hueToRGB(m1, m2, h),
+        this.hueToRGB(m1, m2, h-0.33333)];
+  }
+
+  fb.hueToRGB = function (m1, m2, h) {
+    h = (h < 0) ? h + 1 : ((h > 1) ? h - 1 : h);
+    if (h * 6 < 1) return m1 + (m2 - m1) * h * 6;
+    if (h * 2 < 1) return m2;
+    if (h * 3 < 2) return m1 + (m2 - m1) * (0.66666 - h) * 6;
+    return m1;
+  }
+
+  fb.RGBToHSL = function (rgb) {
+    var min, max, delta, h, s, l;
+    var r = rgb[0], g = rgb[1], b = rgb[2];
+    min = Math.min(r, Math.min(g, b));
+    max = Math.max(r, Math.max(g, b));
+    delta = max - min;
+    l = (min + max) / 2;
+    s = 0;
+    if (l > 0 && l < 1) {
+      s = delta / (l < 0.5 ? (2 * l) : (2 - 2 * l));
+    }
+    h = 0;
+    if (delta > 0) {
+      if (max == r && max != g) h += (g - b) / delta;
+      if (max == g && max != b) h += (2 + (b - r) / delta);
+      if (max == b && max != r) h += (4 + (r - g) / delta);
+      h /= 6;
+    }
+    return [h, s, l];
+  }
+
+  // Install mousedown handler (the others are set on the document on-demand)
+  $('*', e).mousedown(fb.mousedown);
+
+    // Init color
+  fb.setColor('#000000');
+
+  // Set linked elements/callback
+  if (callback) {
+    fb.linkTo(callback);
+  }
+}
Index: /extensions/addThis/farbtastic/index.php
===================================================================
--- /extensions/addThis/farbtastic/index.php	(revision 3411)
+++ /extensions/addThis/farbtastic/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/img/index.php
===================================================================
--- /extensions/addThis/img/index.php	(revision 3411)
+++ /extensions/addThis/img/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/include/AddThis.class.php
===================================================================
--- /extensions/addThis/include/AddThis.class.php	(revision 3411)
+++ /extensions/addThis/include/AddThis.class.php	(revision 3411)
@@ -0,0 +1,256 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: AddThis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier addthis.class.php  *********/
+
+class AddThis
+{
+    var $my_config;
+
+	// Add Addthis CSS in HEAD section
+	function AddThis_link()
+	{
+	    global $template, $page, $user;
+
+			if (  (isset($page['page']) && ($page['page']) == 'plugin')
+				&&(isset($page['body_id']) && isset($page['section']) && ($page['section']) == 'theAdminPage'))
+					$cssfile = '<link href="./plugins/AddThis/js/addthis.css" rel="stylesheet" type="text/css" />';
+			else
+			{
+				if (isset($page['section']) && ($page['section']) == 'categories')
+				{			
+					// Selection du mode 'icones'
+					if (	(isset($page['image_id']) && $this->my_config['ImageButton'] == 8)
+						 ||	(empty($page['category']) && $this->my_config['HomeButton'] == 8)
+						 ||	(isset($page['category']) && $this->my_config['CategoryButton'] == 8)
+						)
+						$cssfile = '<link href="./plugins/AddThis/js/addthis.css" rel="stylesheet" type="text/css" />';
+				}
+			}
+			if (isset($cssfile))		
+				$template->append('head_elements',$cssfile);		
+	    
+	}
+
+
+	// Add Addthis icon 
+	function add_AddThis_icon()
+	{
+		global $template, $page, $user;
+
+		include ADDTHIS_INC_PATH.'constants.inc.php';
+
+		if ($this->my_config['addthis_languser'])	// langue de l'utilisateur
+		{
+			$research = pwg_query('SELECT language FROM '.USER_INFOS_TABLE.' WHERE user_id = '.$user['id'].';');
+			$defaultlanguage = mysql_fetch_array($research);
+			$defaultlanguage = substr($defaultlanguage[0], 0, 2);
+
+			if (in_array($defaultlanguage, $language_list[0]))
+				$this->my_config['addthis_language'] = $defaultlanguage;
+
+		}
+		
+		$addthis_img_src = array(
+							'',
+							'<img id="bm3i" src="http://s7.addthis.com/static/btn/lg-share-'.$this->my_config['addthis_language'].'.gif" width="125" height="16" border="0" alt="Share" />',
+							'<img id="bm6i" src="http://s7.addthis.com/static/btn/sm-share-'.$this->my_config['addthis_language'].'.gif" width="83" height="16" border="0" alt="Share" />',
+							'<img id="bm1i" src="http://s7.addthis.com/static/btn/lg-bookmark-en.gif" width="125" height="16" border="0" alt="Bookmark" />',
+							'<img id="bm0i" src="http://s7.addthis.com/static/btn/sm-bookmark-en.gif" width="83" height="16" border="0" alt="Bookmark" />',
+							'<img id="bm4i" src="http://s7.addthis.com/static/btn/lg-addthis-en.gif" width="125" height="16" border="0" alt="Add This" />',
+							'<img id="bm5i" src="http://s7.addthis.com/static/btn/sm-plus.gif" width="16" height="16" border="0" alt="AddThis" />',
+							''
+						);
+
+		$addthis_option = '';
+		$addthis_img = 0;
+		if (isset($page['section']) && ($page['section']) == 'categories')
+		{			
+			// image
+			if (isset($page['image_id']))
+			{
+				$addthis_img = $this->my_config['ImageButton'];
+			}
+			// Page accueil 
+		    elseif( empty($page['category']))
+			{
+				$addthis_img = $this->my_config['HomeButton'];
+			}
+			elseif (isset($page['category']))
+			{
+				$addthis_img = $this->my_config['CategoryButton'];			
+			}
+		}
+		// pas d'affichage sur selection = 'desactive' ou si selection = 'icones'
+		if ($addthis_img > 0 && $addthis_img < 8)
+		{
+			foreach ($this->my_config['addthis_options'] as $key => $value) 
+			{
+				if ($value == true)
+				{
+					if (strlen($addthis_option) != 0)
+						$addthis_option .= ', ';
+					$addthis_option .= $key;
+				}
+			}
+	                                                          
+
+				$tpl_code = (isset($page['image_id']) ? "\n".'<p align="left">' :"\n<li>")
+				.'<script type="text/javascript">'
+				.(strlen($addthis_option) != 0 ? 'var addthis_options = \''.$addthis_option.'\'': '')
+				.(strlen($this->my_config['addthis_pub']) != 0 ? "\n".'var addthis_pub = "'.$this->my_config['addthis_pub'].'";' : '')
+				.(strlen($this->my_config['addthis_brand']) != 0 ? "\n".'var addthis_brand = "'.$this->my_config['addthis_brand'].'";' : '')
+				.(strlen($this->my_config['addthis_header_color']) != 0 ? "\n".'var addthis_header_color = "'.$this->my_config['addthis_header_color'].'";' : '')
+				.(strlen($this->my_config['addthis_header_background']) != 0 ? "\n".'var addthis_header_background = "'.$this->my_config['addthis_header_background'].'";' : '')
+
+				.(strlen($this->my_config['addthis_offset_top']) != 0 ? "\n".'var addthis_offset_top = '.$this->my_config['addthis_offset_top'].';' : '')
+				.(strlen($this->my_config['addthis_offset_left']) != 0 ? "\n".'var addthis_offset_left = '.$this->my_config['addthis_offset_left'].';' : '')
+				.(strlen($this->my_config['addthis_hover_delay']) != 0 ? "\n".'var addthis_hover_delay = '.$this->my_config['addthis_hover_delay'].';' : '')
+				.(strlen($this->my_config['addthis_language']) != 0 ? "\n".'var addthis_language = "'.$this->my_config['addthis_language'].'";' : '')
+
+				.'</script>
+				<a href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, \'\', \'[URL]\', \'[TITLE]\')" onmouseout="addthis_close()" onclick="return addthis_sendto()">'
+				.$addthis_img_src[$addthis_img]
+				// si selection du 7
+				.($addthis_img == 7 ? (strlen($this->my_config['addthis_icon_text']) != 0 ? $this->my_config['addthis_icon_text'] : 'Share' ) : '')
+				.'</a><script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>'
+				.(isset($page['image_id']) ? '</p>' :'</li>');
+
+		}
+		else if ($addthis_img == 8)
+		{
+
+			$tpl_code = '
+			<script type="text/javascript">	
+			addthis_title 	= document.title;
+			addthis_url 	= window.location.href;
+			addthis_clickout= true;'
+			.(strlen($this->my_config['addthis_pub']) != 0 ? "\n".'addthis_id = \''.$this->my_config['addthis_pub'].'\';' : '')
+			.'</script>'
+			."\n";
+			$nb_icons = 1;
+			foreach ($this->my_config['addthis_options'] as $key => $value) 
+			{
+				if ($nb_icons <= $this->my_config['addthis_icon_nb'])
+				{
+					if ($value == true)
+					{		
+						$nb_icons++;
+
+						$tpl_code .= (isset($page['image_id']) ? '' : '<li>')
+						.'<a href="/" title="'.$key.'" onclick="return addthis_invoke(\''.$key.'\', addthis_url, addthis_title, addthis_id);" class="at15t at15t_'.$key.'"> &nbsp;'.$key.'</span></a>'
+						.(isset($page['image_id']) ? '' : '</li>')
+						."\n";	
+
+//						$tpl_code .= '<td width="10"></td><td class="c1"><a href="javascript:sets(\''.$key.'\');" class="c1a" onclick="return omc(\''.$key.'\')"><span class="at15t at15t_'.$key.'"></span></a></td>';
+//					$tpl_code .= '<li class="at15t at15t_'.$key.'"><a  href="/" title="'.$key.'" onclick="return addthis_invoke(\''.$key.'\', addthis_url, addthis_title, addthis_id);" ></a></li>';					
+					}
+				}
+			}
+			$tpl_code .= '<script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>'."\n";
+
+		}
+			
+		if (isset($tpl_code))
+		{
+			if (isset($page['image_id']))
+//				$template->concat('PLUGIN_PICTURE_BEFORE', $tpl_code);
+				$template->concat('PLUGIN_PICTURE_ACTIONS', $tpl_code);
+			else
+				$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code);
+	
+		}
+	}
+
+
+	// Add piclens pics to start slideshow
+	// Another thanks to P@t
+
+	/* Loading of the configuration file - If not exist -> load default values */
+	function load_config()
+	{
+		
+		$x = @file_get_contents( ADDTHIS_CFG_FILE );
+		if ($x!==false)
+		{
+		  $c = unserialize($x);
+		  $this->my_config = $c;
+		}
+		// Init default value for the config file
+		$this->load_default_config();
+		
+	}
+
+	/* Saving of the configuration file with data */
+	function save_config()
+	{
+		$file = fopen( ADDTHIS_CFG_FILE, 'w' );
+		fwrite($file, serialize($this->my_config) );
+		fclose( $file );
+	}
+
+	
+	private function load_default_config()
+	{
+	    include ADDTHIS_INC_PATH.'default_values.inc.php';
+	    foreach ($addthis_default_values as $key => $value) 
+		{
+		    if (!isset($this->my_config[$key]))		$this->my_config[$key] = $value;
+			if ($key = 'addthis_options')
+			{
+				foreach ($addthis_default_values[$key] as $subkey => $subvalue) 
+					if (!isset($this->my_config[$key][$subkey]))		$this->my_config[$key][$subkey] = $subvalue;
+			}
+			
+		}
+	}
+
+	function restore_default_config()
+	{
+	    include ADDTHIS_INC_PATH.'default_values.inc.php';
+	    foreach ($addthis_default_values as $key => $value) 
+		{
+		    $this->my_config[$key] = $value;
+			
+		}
+	}
+	
+		  
+	function add_AddThis_action()
+	{
+		global $template, $page;
+
+			$tpl_code = '<script type="text/javascript">var addthis_pub="4a0c1f674d14de33";</script>
+<a href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, \'\', \'[URL]\', \'[TITLE]\')" onmouseout="addthis_close()" onclick="return addthis_sendto()" class="button"><img src="http://s7.addthis.com/static/btn/lg-share-en.gif" width="125" height="16" alt="Bookmark and Share" ></a><script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>';
+
+		if (isset($tpl_code))
+		{
+//			$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code);
+			$template->concat('PLUGIN_PICTURE_BEFORE', $tpl_code);
+	
+		}
+	}
+
+	
+	function AddThis_admin_menu($menu)
+	{
+	    array_push($menu,
+	       array(
+	            'NAME' => 'AddThis',
+	            'URL' => get_admin_plugin_menu_link(ADDTHIS_ADMIN_PATH.'AddThis_admin.php')
+	        ) 
+	    );
+	    return $menu;
+	}
+	
+
+	
+}
+
+?>
Index: /extensions/addThis/include/constants.inc.php
===================================================================
--- /extensions/addThis/include/constants.inc.php	(revision 3411)
+++ /extensions/addThis/include/constants.inc.php	(revision 3411)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthiss activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier constants.inc.php  *********/
+
+$language_list = array(	 
+	array('en','zh','da','nl','fi','fr','de','he','is','it','ja','ko','no','pl','pt','ru','sl','es','sv','tr','cy'),
+	array('English' , 'Chinese' , 'Danish'  , 'Dutch'   , 'Finnish' , 'French'  , 'German'  , 'Hebrew'  , 'Icelandic', 'Italian' , 'Japanese', 'Korean'  , 'Norwegian', 'Polish'  , 'Portuguese', 'Russian' , 'Slovenian', 'Spanish' , 'Swedish' , 'Turkish' , 'Welsh' )
+	);
+
+$addthis_img_src = array(
+							'',
+							'<img id="bm3i" src="http://s7.addthis.com/static/btn/lg-share-en.gif" width="125" height="16" border="0" alt="Share" />',
+							'<img id="bm6i" src="http://s7.addthis.com/static/btn/sm-share-en.gif" width="83" height="16" border="0" alt="Share" />',
+							'<img id="bm1i" src="http://s7.addthis.com/static/btn/lg-bookmark-en.gif" width="125" height="16" border="0" alt="Bookmark" />',
+							'<img id="bm0i" src="http://s7.addthis.com/static/btn/sm-bookmark-en.gif" width="83" height="16" border="0" alt="Bookmark" />',
+							'<img id="bm4i" src="http://s7.addthis.com/static/btn/lg-addthis-en.gif" width="125" height="16" border="0" alt="Add This" />',
+							'<img id="bm5i" src="http://s7.addthis.com/static/btn/sm-plus.gif" width="16" height="16" border="0" alt="AddThis" />',
+							''
+						);
+
+
+?>
Index: /extensions/addThis/include/default_values.inc.php
===================================================================
--- /extensions/addThis/include/default_values.inc.php	(revision 3411)
+++ /extensions/addThis/include/default_values.inc.php	(revision 3411)
@@ -0,0 +1,77 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthiss activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier default_values.inc.php  *********/
+
+$addthis_default_values['HomeButton']		= 6;
+$addthis_default_values['CategoryButton']	= 6;
+$addthis_default_values['ImageButton']		= 1;
+$addthis_default_values['addthis_icon_nb']	= 1;
+$addthis_default_values['addthis_icon_text']= 'Partager...';
+$addthis_default_values['addthis_brand']	= '';
+$addthis_default_values['addthis_pub']	= '';
+$addthis_default_values['addthis_languser'] = true;
+$addthis_default_values['addthis_language'] = 'fr';
+
+$addthis_default_values['addthis_header_background']	= '#FFFFFF';	// back in white
+$addthis_default_values['addthis_header_color']	= '#000000';	// text in black
+$addthis_default_values['addthis_offset_top']	= 0;
+$addthis_default_values['addthis_offset_left']	= 0;
+$addthis_default_values['addthis_hover_delay']	= 200;
+
+$addthis_default_values['addthis_options'] = array(
+		 'aim'		=> true ,   
+		 'ask'		=> false ,   
+		 'backflip'   => false ,   
+		 'ballhype'   => false ,   
+		 'bebo'		=> false ,   
+		 'blogmarks'  => false ,   
+		 'buzz'		=> false ,   
+		 'delicious' 	=> true ,   
+		 'digg'   	=> false ,   
+		 'diigo'   	=> false ,   
+		 'email'   	=> true ,   
+		 'facebook'   => false ,   
+		 'favorites'  => true ,   
+		 'fark'   	=> false ,   
+		 'faves'   	=> false ,   
+		 'feedmelinks' => false ,   
+		 'friendfeed' => false ,   
+		 'google'   	=> true ,   
+		 'kaboodle'   => false ,   
+		 'kirtsy'   	=> false ,   
+		 'linkedin'   => false ,   
+		 'linkagogo'	=> false,
+		 'live'   	=> false ,   
+		 'misterwong' => false ,   
+		 'mixx'   	=> false ,   
+		 'multiply'   => false ,   
+		 'myaol'   	=> false ,   
+		 'myspace'   	=> false ,   
+		 'netvouz'   	=> false ,   
+		 'netvibes'   	=> true ,   
+		 'newsvine'   => false ,   
+		 'print'   	=> false ,   
+		 'propeller'  => false ,   
+		 'reddit'   	=> false ,   
+		 'segnalo'   	=> false ,   
+		 'simpy'   	=> false ,   
+		 'slashdot'   => false ,   
+		 'spurl'   	=> false ,   
+		 'stumbleupon' => false ,   
+		 'stylehive'  => false ,   
+		 'tailrank'   => false ,   
+		 'technorati' => false ,   
+		 'thisnext'   => false ,  
+		 'twitter'   	=> false ,   
+		 'yardbarker' => false ,   
+		 'yahoobkm'   => false ,   
+		 'more'   	=> false);
+
+?>
Index: /extensions/addThis/include/index.php
===================================================================
--- /extensions/addThis/include/index.php	(revision 3411)
+++ /extensions/addThis/include/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/index.php
===================================================================
--- /extensions/addThis/index.php	(revision 3411)
+++ /extensions/addThis/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/js/addthis.css
===================================================================
--- /extensions/addThis/js/addthis.css	(revision 3411)
+++ /extensions/addThis/js/addthis.css	(revision 3411)
@@ -0,0 +1,59 @@
+.at15t{display:inline-block!important;height:16px!important;line-height:16px!important;padding-left:20px!important;background:url(../img/icons.gif) no-repeat left;cursor:pointer;}
+.at15t_more{background-position:0px 100px}
+.at15t_000{background-position:0px -0px}
+.at15t_aim{background-position:0px -16px;}
+.at15t_ask{background-position:0px -32px}
+.at15t_backflip{background-position:0px -48px}
+.at15t_ballhype{background-position:0px -64px}
+.at15t_bebo{background-position:0px -80px}
+.at15t_blinklist{background-position:0px -96px}
+.at15t_blogmarks{background-position:0px -112px}
+.at15t_buzz{background-position:0px -128px}
+.at15t_delicious{background-position:0px -144px}
+.at15t_digg{background-position:0px -160px}
+.at15t_diigo{background-position:0px -176px}
+.at15t_email{background-position:0px -192px}
+.at15t_facebook{background-position:0px -208px}
+.at15t_fark{background-position:0px -224px}
+.at15t_faves{background-position:0px -240px}
+.at15t_favorites{background-position:0px -256px}
+.at15t_feedmelinks{background-position:0px -272px}
+.at15t_friendfeed{background-position:0px -288px}
+.at15t_furl{background-position:0px -304px}
+.at15t_google{background-position:0px -320px}
+.at15t_kaboodle{background-position:0px -336px}
+.at15t_kirtsy{background-position:0px -352px}
+.at15t_linkagogo{background-position:0px -368px}
+.at15t_linkedin{background-position:0px -384px}
+.at15t_live{background-position:0px -400px}
+.at15t_misterwong{background-position:0px -416px}
+.at15t_mixx{background-position:0px -432px}
+.at15t_multiply{background-position:0px -448px}
+.at15t_myaol{background-position:0px -464px}
+.at15t_myspace{background-position:0px -480px}
+.at15t_netvibes{background-position:0px -496px}
+.at15t_netvouz{background-position:0px -512px}
+.at15t_newsvine{background-position:0px -528px}
+.at15t_pownce{background-position:0px -544px}
+.at15t_print{background-position:0px -560px}
+.at15t_propeller{background-position:0px -576px}
+.at15t_reddit{background-position:0px -592px}
+.at15t_segnalo{background-position:0px -608px}
+.at15t_shadows{background-position:0px -624px}
+.at15t_simpy{background-position:0px -640px}
+.at15t_slashdot{background-position:0px -672px}
+.at15t_spurl{background-position:0px -688px}
+.at15t_stumbleupon{background-position:0px -704px}
+.at15t_stylehive{background-position:0px -720px}
+.at15t_tailrank{background-position:0px -736px}
+.at15t_technorati{background-position:0px -752px}
+.at15t_thisnext{background-position:0px -768px}
+.at15t_twitter{background-position:0px -784px}
+.at15t_yahoobkm{background-position:0px -800px}
+.at15t_yardbarker{background-position:0px -816px}
+.at15t_netscape{background-position:0px -576px}
+
+#colorpicker{
+	float:right;
+	margin-left:10px;
+}
Index: /extensions/addThis/language/en_UK/index.php
===================================================================
--- /extensions/addThis/language/en_UK/index.php	(revision 3411)
+++ /extensions/addThis/language/en_UK/index.php	(revision 3411)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/addThis/language/en_UK/plugin.lang.php	(revision 3411)
+++ /extensions/addThis/language/en_UK/plugin.lang.php	(revision 3411)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier EN plugin.lang.php  *********/
+// AddThis button
+$lang['adthis_admin_title'] = 'Addthis plugin configuration';
+$lang['addthis_bannercfg_title'] = 'Parameters view';
+$lang['addthis_bannerselect_label'] = 'Addthis type of view';
+$lang['addthis_Home_label'] = 'Home';
+$lang['addthis_Cat_label'] = 'Categories';
+$lang['addthis_Img_label'] = 'Pictures';
+$lang['addthis_Disable_label'] = 'Disable';
+$lang['addthis_freetext_label'] = 'Free text : ';
+$lang['addthis_icnonb_label'] = 'Only icons (limited to ';
+$lang['addthis_paramcfg_title'] = 'Configuration parameters';
+$lang['addthis_optionselect_label'] = 'Possibility to personnalize the Addthis menu view with followed options';
+$lang['addthis_pub_label'] = 'AddThis Account ID [Optional]';
+$lang['addthis_brand_label'] = 'Link title [Optional]';
+$lang['addthis_languser_label'] = 'Use the user language. ';
+$lang['addthis_language_label'] = 'Default language : ';
+$lang['addthis_headerbackground_label'] = 'Background menu color [Optional] : ';
+$lang['addthis_headercolor_label'] = 'Text menu color  [Optional] : ';
+$lang['addthis_top_label'] = 'horizontal';
+$lang['addthis_left_label'] = 'vertical';
+$lang['addthis_offset_label'] = 'Menu Offset [Optional] :';
+$lang['addthis_hover_delay_label'] = 'Menu hover delay [Optional] :';
+$lang['addthis_iconcfg_title'] = 'Icons and Links into the AddThis menu';
+
+$lang['addthis_admin_submit'] = 'Save';
+$lang['addthis_admin_submit_default_parameters'] = 'Default parameters';
+$lang['addthis_admin_icon_nb'] = 'Warning : the icons number is too important';
+$lang['addthis_admin_saveOK'] = 'Parameters saved';
+$lang['addthis_admin_defautvalueOK'] = 'Default parameters restored';
+
+
+
+
+?>
Index: /extensions/addThis/language/fr_FR/index.php
===================================================================
--- /extensions/addThis/language/fr_FR/index.php	(revision 3411)
+++ /extensions/addThis/language/fr_FR/index.php	(revision 3411)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/addThis/language/fr_FR/plugin.lang.php	(revision 3411)
+++ /extensions/addThis/language/fr_FR/plugin.lang.php	(revision 3411)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.1
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier FR plugin.lang.php  *********/
+// AddThis button
+$lang['adthis_admin_title'] = 'Configuration du plugin Addthis';
+$lang['addthis_bannercfg_title'] = 'Param&egrave;tres d\'affichage';
+$lang['addthis_bannerselect_label'] = 'Type d\'affichage de la bani&eacute;re Addthis';
+$lang['addthis_Home_label'] = 'Accueil';
+$lang['addthis_Cat_label'] = 'Cat&eacute;gories';
+$lang['addthis_Img_label'] = 'Images';
+$lang['addthis_Disable_label'] = 'D&eacute;sactiv&eacute;';
+$lang['addthis_freetext_label'] = 'Texte libre : ';
+$lang['addthis_icnonb_label'] = 'Icones uniquement (limit&eacute; &agrave ';
+$lang['addthis_paramcfg_title'] = 'Param&egrave;tres de configuration';
+$lang['addthis_optionselect_label'] = 'Possibilit&eacute; de personnaliser l\'affichage du menu AddThis avec les options ci-dessous';
+$lang['addthis_pub_label'] = 'Identifiant du compte AddThis [Optionnel]';
+$lang['addthis_brand_label'] = 'Titre du lien [Optionnel]';
+$lang['addthis_languser_label'] = 'Prise en compte de la langue de l\utilisateur. ';
+$lang['addthis_language_label'] = 'Langue par d&eacute;faut : ';
+$lang['addthis_headerbackground_label'] = 'Couleur du fond du menu [Optionnel] : ';
+$lang['addthis_headercolor_label'] = 'Couleur du texte du menu [Optionnel] : ';
+$lang['addthis_top_label'] = 'horizontal';
+$lang['addthis_left_label'] = 'vertical';
+$lang['addthis_offset_label'] = 'D&eacute;calage du menu [Optionnel] :';
+$lang['addthis_hover_delay_label'] = 'Temps d\'affichage du menu [Optionnel] :';
+$lang['addthis_iconcfg_title'] = 'Icones et liens pris en compte dans le menu AddThis';
+
+$lang['addthis_admin_submit'] = 'Enregistrer';
+$lang['addthis_admin_submit_default_parameters'] = 'Param&egrave;tres par d&eacute;faut';
+$lang['addthis_admin_icon_nb'] = 'Attention : le nombre d\'icones s&eacute;lectionn&eacute; est trop important';
+$lang['addthis_admin_saveOK'] = 'Param&egrave;tres sauvegard&eacute;s';
+$lang['addthis_admin_defautvalueOK'] = 'Param&egrave;tres par d&eacute;faut r&eacute;tablis';
+
+
+
+
+?>
Index: /extensions/addThis/language/index.php
===================================================================
--- /extensions/addThis/language/index.php	(revision 3411)
+++ /extensions/addThis/language/index.php	(revision 3411)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/main.inc.php
===================================================================
--- /extensions/addThis/main.inc.php	(revision 3411)
+++ /extensions/addThis/main.inc.php	(revision 3411)
@@ -0,0 +1,46 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.2
+ * Description: AddThis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier main.inc.php  ********* /
+/* 0.0.1 --> Initial version    */
+/* 0.0.2 --> Correction isset    */
+
+/********* TODO  *********/
+//- 
+
+ 
+if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');
+ 
+define('ADDTHIS_NAME', 'AddThis');
+define('ADDTHIS_ROOT', dirname(__FILE__));
+define('ADDTHIS_DIR' , basename(dirname(__FILE__)));
+define('ADDTHIS_CFG_FILE' , ADDTHIS_ROOT.'/'.ADDTHIS_DIR.'.dat');
+define('ADDTHIS_PATH' , PHPWG_PLUGINS_PATH . ADDTHIS_DIR . '/');
+define('ADDTHIS_INC_PATH' , PHPWG_PLUGINS_PATH . ADDTHIS_DIR . '/include/');
+define('ADDTHIS_IMG_PATH' , PHPWG_PLUGINS_PATH . ADDTHIS_DIR . '/img/');
+define('ADDTHIS_ADMIN_PATH' , PHPWG_PLUGINS_PATH . ADDTHIS_DIR . '/admin/');
+
+include_once ADDTHIS_INC_PATH.'constants.inc.php';
+include_once ADDTHIS_INC_PATH.'AddThis.class.php';
+
+$obj = new AddThis();
+$obj->load_config();
+
+// Affichage du lien Addthis sous les vignettes
+add_event_handler('loc_end_page_header', array(&$obj, 'AddThis_link' ));
+// Affichage du lien Addthis sous les vignettes
+add_event_handler('loc_end_index', array(&$obj, 'add_AddThis_icon'));
+
+//add_event_handler('loc_begin_picture', array(&$obj, 'add_AddThis_action'));
+add_event_handler('loc_begin_picture', array(&$obj, 'add_AddThis_icon')); 
+add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'addthis_admin_menu') );
+set_plugin_data($plugin['id'], $obj)
+
+
+?>
